Subject: RE: Participation using AI in WG mailing lists and github repos
From: "Adrian Farrel" <[email-masked]>
To: "'Mike Ounsworth'" <mike=[email-masked]>, "'Rohan Mahy'" <[email-masked]>
Cc: 'WG Chairs' <[email-masked]>
Date: Sat, 6 Jun 2026 15:12:51 +0100
List-Id: Working Group Chairs <wgchairs.ietf.org>

https://datatracker.ietf.org/doc/draft-farrel-catalist-ai4all/

Adrian

PS No intelligence was harmed in the production of this document

From: Mike Ounsworth <mike=[email-masked]> 
Sent: 06 June 2026 15:05
To: Rohan Mahy <[email-masked]>
Cc: WG Chairs <[email-masked]>
Subject: Re: Participation using AI in WG mailing lists and github repos

I am not aware of a policy -- I would support writing one -- fast.

My $0.02: AI is good, the IETF community is especially technical and especially international and AI helps level the playing field where native english-speakers have an advantage in WG participating.

That said, AI will amplify both the number and length of mailing list messages. The thing with LLMs is that they write beautifully, even while spouting total nonsense, so I also fear that once we start receiving AI-written I-Ds, the review task of deciding whether a document is properly thought-out architecturally, or whether it has subtle technical bugs is going to become an order of magnitude harder.

Many open source orgs are starting to craft contributor policies that you're allowed to make LLM-assisted contributions, but the contributor has to declare them as such, and the PRs get a github tab "AI-assisted", and they explicitly get lower review priority due to the higher expected review effort. I would love to see the IETF develop a similar policy.

-Mike 

"Knowing is a barrier which prevents learning" -- Frank Herbert, Dune.

"An expert is a person who has found out by his own painful experience all the mistakes that one can make in a very narrow field.” -- Niels Bohr

On Friday, June 5th, 2026 at 9:12 PM, Rohan Mahy <[email-masked] <mailto:[email-masked]> > wrote:

Hi,

Do we have a policy that specifically mentions replying to WG mailing lists and/or github repos with obviously AI-generated content of questionable relevance? I know we have tools for managing people who are disruptive, but the amplification using AI is more the issue here. The account in question does have a human user. 

Thanks,

-rohan